libp11-0.4.6-alt1.i586.rpm


Advertisement

Description

libp11 - Library for using PKCS#11 modules

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libp11
Package version 0.4.6
Package release alt1
Package architecture i586
Package type rpm
Installed size 170.10 KB
Download size 170.10 KB
Official Mirror ftp.altlinux.org
Libp11 is a library implementing a small layer on top of PKCS#11 API
to make using PKCS#11 implementations easier.

Alternatives

Package Version Architecture Repository
libp11-0.4.6-alt1.x86_64.rpm 0.4.6 x86_64 Classic
libp11 - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libcrypto.so.10 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libp11 = 0.4.6-alt1
libp11.so.2 -
libp11.so.2(LIBP11_2) -
openssl-engine_pkcs11 = 0.4.6-alt1

Obsoletes

Name Value
openssl-engine_pkcs11 < 0.4.6-alt1

Download

Type URL
Binary Package libp11-0.4.6-alt1.i586.rpm
Source Package libp11-0.4.6-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libp11 rpm package:
    # sudo apt-get install libp11

Files

Path
/usr/lib/libp11.so.2
/usr/lib/libp11.so.2.4.6
/usr/lib/openssl/engines/libpkcs11.so
/usr/lib/openssl/engines/pkcs11.so
/usr/share/doc/libp11-0.4.6/COPYING
/usr/share/doc/libp11-0.4.6/NEWS
/usr/share/doc/libp11-0.4.6/README.ALT
/usr/share/doc/libp11-0.4.6/README.md

Changelog

2017-05-29 - Michael Shigorin <mike@altlinux.org> 0.4.6-alt1
- 0.4.6
2016-06-15 - Alexey Shabalin <shaba@altlinux.ru> 0.4.0-alt1
- 0.4.0
- merge engine_pkcs11
2015-10-30 - Michael Shigorin <mike@altlinux.org> 0.3.0-alt1
- 0.3.0
- recreated gear repo to use upstream git
- applied fedora patch and spec bits for API docs
2015-09-21 - Michael Shigorin <mike@altlinux.org> 0.2.8-alt1
- 0.2.8
- updated Url:
- reverted Group: (it's not legacy but rather a layer)
- dropped API docs
- minor spec cleanup
2014-09-12 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.7-alt1.qa3
- Moved this version into System/Legacy libraries
2013-04-14 - Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 0.2.7-alt1.qa2
- NMU: rebuilt for debuginfo.
2010-11-25 - Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1.qa1
- rebuild using girar-nmu to require/provide setversion 
by request of mithraen@
2010-06-29 - Alexey I. Froloff <raorn@altlinux.org> 0.2.7-alt1
- [0.2.7]
2009-09-09 - Alexey I. Froloff <raorn@altlinux.org> 0.2.6-alt2
- devel subpackage should require libssl-devel
2009-08-28 - Alexey I. Froloff <raorn@altlinux.org> 0.2.6-alt1
- [0.2.6] (closes: #21289)
- Developer docs moved to devel subpackage
- Packaged API documentation

See Also

Package Description
libp11-devel-0.4.6-alt1.i586.rpm Development files for libp11
libp11-kit-0.23.9-alt5.i586.rpm Library for loading and sharing PKCS#11 modules
libp11-kit-devel-0.23.9-alt5.i586.rpm Development files for p11-kit
libpacemaker-1.1.18-alt1.i586.rpm Core Pacemaker libraries
libpacemaker-devel-1.1.18-alt1.i586.rpm Pacemaker development package
libpacoxx-0.2.beta-alt5.i586.rpm Shared libraries of PaCO++
libpagemaker-0.0.4-alt1.i586.rpm A library for import of Adobe PageMaker documents
libpagemaker-devel-0.0.4-alt1.i586.rpm Development files for libpagemaker
libpagemaker-tools-0.0.4-alt1.i586.rpm Tools to transform Adobe PageMaker documents into other formats
libpagemap-0.0.1-alt1_25.i586.rpm Pagemap interface library
libpagemap-devel-0.0.1-alt1_25.i586.rpm Development files for libpagemap
libpala0.1-18.04.1-alt1.S1.i586.rpm kde5-palapeli library
libpala4-15.4.3-alt1.i586.rpm KDE 4 library
libpam-google-authenticator-1.0-alt1.i586.rpm The PAM module can add a two-factor authentication step to any PAM-enabled application
libpam0-1.3.1-alt1.i586.rpm Shared libraries for running PAM-based software
Advertisement
Advertisement